Report (Gradle API 2.14.1)
Date: 2016-07-18

Package: org.gradle.api.reporting

## [Java] Interface Report

- A file based report to be created.

  Tasks that produce reports expose instances of this type for configuration via the Reporting interface.

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `enum` | `Report.OutputType` | The type of output the report produces

  - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `Namer<Report>` | `NAMER` |

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `File` | `getDestination()` The location on the filesystem of the report when it is generated.
    `String` | `getDisplayName()` A more descriptive name of this report.
    `String` | `getName()` The symbolic name of this report.
    `Report.OutputType` | `getOutputType()` A file based report to be created.
    `boolean` | `isEnabled()` Whether or not this report should be generated by whatever generates it.
    `void` | `setEnabled(boolean enabled)` Whether or not this report should be generated by whatever generates it.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface org.gradle.util.Configurable` | `org.gradle.util.Configurable#configure(groovy.lang.Closure)`

- - ### Field Detail

    - #### public Namer<Report> NAMER

  - ### Method Detail

    - #### public File getDestination()

      The location on the filesystem of the report when it is generated.

      Depending on the output type of the report, this may point to a file or a directory.

      Subtypes may implement setters for the destination.

      Returns:
        The location on the filesystem of the report when it is generated

    - #### public String getDisplayName()

      A more descriptive name of this report. Used when the report is referenced for end users.

      Returns:
        A more descriptive name of this report.

    - #### public String getName()

      The symbolic name of this report.

      The name of the report usually indicates the format (e.g. XML, HTML etc.) but can be anything.

      When part of a ReportContainer, reports are accessed via their name. That is, given a report container variable named `reports` containing a report who's `getName()` returns `"html"`, the report could be accessed via:

           reports.html

      Returns:
        The name of this report.

    - #### public Report.OutputType getOutputType()

      A file based report to be created.

      Tasks that produce reports expose instances of this type for configuration via the Reporting interface.

    - #### public boolean isEnabled()

      Whether or not this report should be generated by whatever generates it.

      If `true`, the generator of this report will generate it at the appropriate time. If `false`, the generator of this report will not generate this report.

      Returns:
        Whether or not this report should be generated by whatever generates it.

    - #### public void setEnabled(boolean enabled)

      Whether or not this report should be generated by whatever generates it.

      Parameters:
        `enabled` - Whether or not this report should be generated by whatever generates it.
      See Also:
        isEnabled()